Subject: Offline Message from Balsam saad: Dear mumzworld, In fact I’m so disappointed
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 14 Jun 2020 11:36:40 -0000

From: Balsam saad <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/track-order/
Department: 

Dear mumzworld,
In fact I’m so disappointed with your services. This is the very first time that you took too much time to ship my order! May I know the reasons? And what is the estimated day of shipping? Please make it I as soon as possible, I am starting solids for my baby and every delayed day is affecting her nutrition.
Hope to hear from you.
Balsam Saad

----
Zopim
https://www.zopim.com